cURL
curl --request GET \
--url https://riona.ai/api/1.1/wf/youtube-channel-details \
--header 'Authorization: Bearer <token>'import requests
url = "https://riona.ai/api/1.1/wf/youtube-channel-details"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://riona.ai/api/1.1/wf/youtube-channel-details', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": {
"code": 200,
"message": "OK"
},
"channel": {
"masterID": "1753720001767x654758777539417500",
"userID": "UCX6OQ3DkcsbYNE6H8uQQuVA",
"username": "@MrBeast",
"platform": "youtube",
"url": "https://www.youtube.com/@MrBeast",
"name": "MrBeast",
"image": "https://6f2859a7-8667-4b05-9978-a8922e29bf1f.selstorage.ru/YT:UCX6OQ3DkcsbYNE6H8uQQuVA?time=1754561632",
"description": "SUBSCRIBE FOR A COOKIE!\nNew MrBeast or MrBeast Gaming video every single Saturday at noon eastern time!\nAccomplishments:\n- Raised $20,000,000 To Plant 20,000,000 Trees\n- Removed 30,000,000 pounds of trash from the ocean\n- Helped 2,000 people walk again\n- Helped 1,000 blind people see\n- Helped 1,000 deaf people hear\n- Built wells in Africa\n- Built and gave away 100 houses\n- Adopted every dog in a shelter (twice)\n- Given millions to charity\n- Started my own snack company Feastables\n- Started my own software company Viewstats\n- Started Lunchly, a tasty, better-for-you lunch option\n- Gave away a private island (twice)\n- Gave away 1 million meals\n- I counted to 100k\n- Ran a marathon in the world's largest shoes\n- Survived 50 hours in Antarctica\n- Recreated Squid Game in real life\n- Created the largest competition show with 1000 people (Beast Games)\n- Gave $5,000,000 to one person\n- Passed T-Series to become most subscribed YouTube channel 🥹\nyou get it, I appreciate all of you so much :)\n",
"country": "united-states",
"countryCode": "US",
"city": "",
"type": "business",
"gender": "",
"age": "",
"communityStatus": "DONE",
"isBlocked": false,
"isClosed": false,
"verified": false
},
"stats": {
"followersCount": 420000000,
"avgLikes": 2608978,
"avgComments": 20813,
"avgER": 0.0259833721621329,
"avgInteractions": 2629791,
"avgViews": 110807035,
"ratingIndex": 420000000.835897,
"qualityScore": 0.838032021328884
},
"lastUpdatedISO": "2025-08-07T12:18:30.410Z",
"lastUpdated": "07-08-2025"
}
Channel
Channel Details🔑
Get YouTube Channel Details
GET
/
wf
/
youtube-channel-details
cURL
This endpoint returns the masterID, a unique identifier for each social account we track. It is required for other endpoints, so be sure to store it in your database for reuse.
{
"status": {
"code": 200,
"message": "OK"
},
"channel": {
"masterID": "1753720001767x654758777539417500",
"userID": "UCX6OQ3DkcsbYNE6H8uQQuVA",
"username": "@MrBeast",
"platform": "youtube",
"url": "https://www.youtube.com/@MrBeast",
"name": "MrBeast",
"image": "https://6f2859a7-8667-4b05-9978-a8922e29bf1f.selstorage.ru/YT:UCX6OQ3DkcsbYNE6H8uQQuVA?time=1754561632",
"description": "SUBSCRIBE FOR A COOKIE!\nNew MrBeast or MrBeast Gaming video every single Saturday at noon eastern time!\nAccomplishments:\n- Raised $20,000,000 To Plant 20,000,000 Trees\n- Removed 30,000,000 pounds of trash from the ocean\n- Helped 2,000 people walk again\n- Helped 1,000 blind people see\n- Helped 1,000 deaf people hear\n- Built wells in Africa\n- Built and gave away 100 houses\n- Adopted every dog in a shelter (twice)\n- Given millions to charity\n- Started my own snack company Feastables\n- Started my own software company Viewstats\n- Started Lunchly, a tasty, better-for-you lunch option\n- Gave away a private island (twice)\n- Gave away 1 million meals\n- I counted to 100k\n- Ran a marathon in the world's largest shoes\n- Survived 50 hours in Antarctica\n- Recreated Squid Game in real life\n- Created the largest competition show with 1000 people (Beast Games)\n- Gave $5,000,000 to one person\n- Passed T-Series to become most subscribed YouTube channel 🥹\nyou get it, I appreciate all of you so much :)\n",
"country": "united-states",
"countryCode": "US",
"city": "",
"type": "business",
"gender": "",
"age": "",
"communityStatus": "DONE",
"isBlocked": false,
"isClosed": false,
"verified": false
},
"stats": {
"followersCount": 420000000,
"avgLikes": 2608978,
"avgComments": 20813,
"avgER": 0.0259833721621329,
"avgInteractions": 2629791,
"avgViews": 110807035,
"ratingIndex": 420000000.835897,
"qualityScore": 0.838032021328884
},
"lastUpdatedISO": "2025-08-07T12:18:30.410Z",
"lastUpdated": "07-08-2025"
}
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Example: https://www.youtube.com/@MrBeast or https://www.youtube.com/channel/UCX6OQ3DkcsbYNE6H8uQQuVA
This is your account API Key. You can easily locate it in your account dashboard.
Response
200
OK
⌘I